﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace BookStore.Models
{
    /* These ViewModel classes contain all of the data needed to display the page for which they represent.
     * They do not contain any special logic other than some that may be in any constructors. */
    public class CheckoutViewModel
    {
        public List<State> states;
        public List<Carrier> carriers;
        public List<Address> existingAddresses;
    }

    public class OrderData
    {
        public int carrierService;
        public int existingAddress;
        public string address;
        public string city;
        public string apt;
        public string state;
        public List<OrderItem> items;

        public class OrderItem
        {
            public int id;
            public string title;
            public decimal cost;
            public int quantity;
        }
    }

    public class Address
    {
        public int id;
        public string address;
        public string city;
        public string apt;
        public string state;

        public Address(AGET_USERADDRESS addr)
        {
            this.id = addr.ADDRESSID;
            this.address = addr.ADDRESS;
            this.city = addr.CITY;
            this.apt = addr.APT;
            this.state = addr.STATE;
        }

        public Address()
        {
        }
    }

    public class Carrier
    {
        public int id;
        public string name;
        public List<CarrierPlan> carrierPlans;
    }

    public class CarrierPlan
    {
        public int id;
        public string name;
        public decimal cost;
    }

    public class State
    {
        public string name;
        public string abbr;

        public State(AGET_STATES state)
        {
            this.name = state.STATENAME;
            this.abbr = state.ABBR;
        }
    }
}